ru.bitel.bgbilling.kernel.task.common.bean

## Class PeriodicTask

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.task.common.bean.PeriodicTask

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class PeriodicTask
      extends Id

  Bean для периодических задач, запущенный в данный момент. Используется в клиентской части для отображения текущего состояния планировщика.
  Author:
    artur
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodicTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAmount()`
    `java.lang.String` | `getDescription()`
    `int` | `getId()` Возвращает id объекта
    `void` | `setAmount(int amount)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setId(int id)` Устанавливает id объекта

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PeriodicTask

          public PeriodicTask()

  - ### Method Detail

    - #### getId

          public int getId()

      Description copied from class: `Id`
      Возвращает id объекта
      Specified by:
        `getId` in interface `Idable`
      Overrides:
        `getId` in class `Id`
      Returns:

    - #### setId

          public void setId(int id)

      Description copied from class: `Id`
      Устанавливает id объекта
      Overrides:
        `setId` in class `Id`
      Parameters:
        `id` - id

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getAmount

          public int getAmount()

    - #### setAmount

          public void setAmount(int amount)